Subject: Re: http: //www.ietf.org//mail-archive/ietf/Current/msg17924.html

From: "Brian Bisaillon" <[email-masked]>
Date: Fri, 25 Oct 2002 12:02:08 -0400

> Microsoft's application protocols (e.g. CIFS aka NetBIOS, Kerberos)
> are certainly problematic, but I've heard no complaints about their IP
> stack in several years.

Let me rephrase... The text above is what lead me to ask questions about Active Directory but maybe I wasn't clear enough.

I wanted to know how well Microsoft products such as Active Directory comply with industry standards (RFCs, etc.) I was especially interested in finding out if Microsoft Active Directory could co-exist with other third party products that can be more standards-compliant then Microsoft's versions of DNS, DHCP, Kerberos, etc. For example, you can run BIND with Active Directory instead of Microsoft DNS. Can you run MIT Kerberos with Active Directory without using Microsoft's Kerberos or did they make Active Directory rely on their non-standard version of Microsoft Kerberos? How well does Active Directory comply with current LDAP standards and how well would it integrate with third party LDAP products? Where and how did Microsoft deviate with standards? If Microsoft takes RFCs seriously then where is the documentation to support it? This is basically what I'm looking for... information/documentation that substantiates Microsoft's compliance with standards when it comes to protoc!
 ols like DNS, DHCP, Kerberos, IP, etc.

So you can see, it's somewhat related to the thread(s) going around about Microsoft & protocols.

Brian B.